Bug 1923625 - openxr: FTBFS in Fedora rawhide/f34
Summary: openxr: FTBFS in Fedora rawhide/f34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openxr
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-02-01 17:20 UTC by Fedora Release Engineering
Modified: 2021-05-21 03:22 UTC (History)
3 users (show)

Fixed In Version: openxr-1.0.16-1.fc33 openxr-1.0.16-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-21 03:12:29 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2021-02-01 17:20 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-02-01 17:20 UTC, Fedora Release Engineering
no flags Details
state.log (963 bytes, text/plain)
2021-02-01 17:20 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-02-01 17:20:48 UTC
openxr failed to build from source in Fedora rawhide/f34

https://koji.fedoraproject.org/koji/taskinfo?taskID=60913183


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
Please fix openxr at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
openxr will be orphaned. Before branching of Fedora 35,
openxr will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-02-01 17:20:50 UTC
Created attachment 1753825 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-02-01 17:20:51 UTC
Created attachment 1753826 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-02-01 17:20:52 UTC
Created attachment 1753827 [details]
state.log

Comment 4 Ben Cotton 2021-02-09 15:58:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 5 Jeff Law 2021-02-22 22:33:25 UTC
It seems to me that if openxr is going to use std::experimental::filesystem..., then it needs to link libstdc++fs.  Alternatively it could use std::filesystem (ie, no experimental).  Either way, this is a package issue, not a GCC issue.

Comment 6 Fedora Update System 2021-05-12 22:28:10 UTC
FEDORA-2021-37419f07ce has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-37419f07ce

Comment 7 Fedora Update System 2021-05-12 22:28:11 UTC
FEDORA-2021-3df9a95b52 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3df9a95b52

Comment 8 Fedora Update System 2021-05-13 01:50:40 UTC
FEDORA-2021-37419f07ce has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-37419f07ce`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-37419f07ce

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-05-13 02:15:51 UTC
FEDORA-2021-3df9a95b52 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3df9a95b52`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3df9a95b52

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-21 03:12:29 UTC
FEDORA-2021-37419f07ce has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-05-21 03:22:53 UTC
FEDORA-2021-3df9a95b52 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.